## libfishcamp 1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(libfishcamp C CXX)

#***********************************************************
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)
find_package(INDI REQUIRED)

include_directories( ${INDI_INCLUDE_DIR})

IF(APPLE)
set(FIRMWARE_INSTALL_DIR "/usr/local/lib/indi/DriverSupport/fishcamp")
    ##This one is needed for homebrew
include_directories( "/usr/local/include")
    ## This one is needed for Craft
include_directories("${CMAKE_INSTALL_PREFIX}/include")
ELSE(APPLE)
set(FIRMWARE_INSTALL_DIR "/lib/firmware")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
ENDIF(APPLE)
#***********************************************************
find_package(USB1 REQUIRED)
ADD_DEFINITIONS(-Wno-multichar)

set(LIBFISHCAMP_VERSION "1.1")
set(LIBFISHCAMP_SOVERSION "1")

set(fishcamp_LIB_SRCS fishcamp.c)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error")

#build a shared library
ADD_LIBRARY(fishcamp SHARED ${fishcamp_LIB_SRCS})

set_target_properties(fishcamp PROPERTIES VERSION ${LIBFISHCAMP_VERSION} SOVERSION ${LIBFISHCAMP_SOVERSION})

target_link_libraries(fishcamp ${USB1_LIBRARIES})

INSTALL(FILES fishcamp.h fishcamp_common.h DESTINATION include/libfishcamp)

INSTALL(TARGETS fishcamp LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install( FILES gdr_usb.hex Guider_mono_rev16_intel.srec DESTINATION ${FIRMWARE_INSTALL_DIR})
IF(NOT APPLE)
install(FILES 99-fishcamp.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF(NOT APPLE)

=== debian/changelog ===
libfishcamp (1.1-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libfishcamp (1.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Dec 2021 13:00:36 +0000

## libfishcamp 1.2+20220607003151

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,14 +10,14 @@
 include_directories( ${INDI_INCLUDE_DIR})
 
 IF(APPLE)
-set(FIRMWARE_INSTALL_DIR "/usr/local/lib/indi/DriverSupport/fishcamp")
-    ##This one is needed for homebrew
-include_directories( "/usr/local/include")
-    ## This one is needed for Craft
-include_directories("${CMAKE_INSTALL_PREFIX}/include")
+  set(FIRMWARE_INSTALL_DIR "/usr/local/lib/indi/DriverSupport/fishcamp")
+  ##This one is needed for homebrew
+  include_directories( "/usr/local/include")
+  ## This one is needed for Craft
+  include_directories("${CMAKE_INSTALL_PREFIX}/include")
 ELSE(APPLE)
-set(FIRMWARE_INSTALL_DIR "/lib/firmware")
-set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
+  set(FIRMWARE_INSTALL_DIR "/lib/firmware" CACHE STRING "libfishcamp firmware installation dir")
+  set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
 ENDIF(APPLE)
 #***********************************************************
 find_package(USB1 REQUIRED)
@@ -44,6 +44,6 @@
 
 install( FILES gdr_usb.hex Guider_mono_rev16_intel.srec DESTINATION ${FIRMWARE_INSTALL_DIR})
 IF(NOT APPLE)
-install(FILES 99-fishcamp.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
+  install(FILES 99-fishcamp.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
 ENDIF(NOT APPLE)

=== debian/changelog ===
libfishcamp (1.2+20220607003151-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1125607)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Feb 2026 10:30:36 +0100

libfishcamp (1.2+20220607003151-3) unstable; urgency=medium

  * Mitigate /usr-move DEP17 P1 problems. (Closes: #1072730)
    + Manually move files instead of using dh-sequence-movetousr.
    + Upgrade Breaks to Conflicts.
   (thanks a lot to Helmut for the patch!)
   (Closes: #1072731 as well)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Sep 2024 18:30:36 +0200

libfishcamp (1.2+20220607003151-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: add dependency for dh-sequence-movetousr
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Jun 2024 23:30:36 +0200

libfishcamp (1.2+20220607003151-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 00:28:59 +0000

libfishcamp (1.2+20220607003151-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 1.2

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:32:02 +0000

=== debian/control ===
Source: libfishcamp
Section: non-free/libs
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, zlib1g-dev
	, libindi-dev
Standards-Version: 4.7.3
Homepage: https://github.com/indilib/indi-3rdparty
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfishcamp
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfishcamp.git

Package: libfishcamp1t64
Provides: ${t64:Provides}
Replaces: libfishcamp1
Conflicts: libfishcamp1 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for cameras made by Fishcamp Engineering
 This package contains a library for CCD cameras made
 by Fishcamp Engineering.
 .
 This package contains the library.

Package: libfishcamp-dev
Section: non-free/libdevel
Architecture: any
Depends: libfishcamp1t64 (= ${binary:Version}), ${misc:Depends}
Description: library for cameras made by Fishcamp Engineering - development files
 This package contains a library for CCD cameras made
 by Fishcamp Engineering.
 .
 This package contains the development files.
